#version 120

uniform mat4 gxl3d_ModelViewProjectionMatrix;
uniform mat4 gxl3d_ModelViewMatrix;

varying vec4 v_normal;

void main()
{
  gl_Position = gxl3d_ModelViewProjectionMatrix * gl_Vertex;		
  v_normal = gxl3d_ModelViewMatrix * vec4(gl_Normal.xyz, 0.0);
}

